Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 552)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 553)
@@ -8,6 +8,7 @@
 import java.util.List;
 import java.util.Map;
 
+import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
@@ -50,10 +51,12 @@
 
 	protected Boolean pUseAllOccurrences;
 
-	protected static String getNextName() {
-		return SYMBOL_BASE+(LEXICALTABLE_COUNTER++);
-	}
-
+	/**
+	 * 
+	 * @param corpus
+	 * @param analysisProperty
+	 * @param itable
+	 */
 	public LexicalTable(Corpus corpus, Property analysisProperty, LexicalTableImpl itable) {
 		super(corpus);
 		this.pProperty = analysisProperty;
@@ -76,15 +79,22 @@
 	 * 
 	 * @param partition
 	 * @param analysisProperty
-	 * @param fmin
+	 * @param fMin
 	 * @param itable
 	 */
-	public LexicalTable(Partition partition, Property analysisProperty, int fmin, LexicalTableImpl itable) {
+	public LexicalTable(Partition partition, Property analysisProperty, int fMin, LexicalTableImpl itable) {
 		super(partition);
+		this.pFminFilter = fMin;
 		this.pProperty = analysisProperty;
 		this.data = itable;
 	}
 
+	
+	public LexicalTable(Partition partition, Property analysisProperty, int fMin) {
+		this(partition, analysisProperty, fMin, null);
+	}
+
+	
 	public LexicalTable(Subcorpus subcorpus) throws Exception {
 		this(subcorpus, subcorpus.getProperty("word")); //$NON-NLS-1$
 	}
@@ -193,16 +203,21 @@
 	@Override
 	protected boolean _compute(boolean update) throws Exception {
 
-		if (parent instanceof Subcorpus) {
-			Subcorpus subcorpus = (Subcorpus) parent;
+		if (this.parent instanceof Subcorpus) {
+			Subcorpus subcorpus = (Subcorpus) this.parent;
 			Corpus parentCorpus = subcorpus.getMotherCorpus();
-			data = new LexicalTableImpl(getNextName(), new Lexicon(parentCorpus), new Lexicon(subcorpus));
-		} else if (parent instanceof Partition) {
-			_computeForPartition((Partition)parent);
-		} else if (parent instanceof Index) {
-			_computeForIndex(Arrays.asList((Index)parent));
+			this.data = new LexicalTableImpl(getNextName(), new Lexicon(parentCorpus), new Lexicon(subcorpus));
 		}
-		return false;
+		else if (this.parent instanceof Partition) {
+			_computeForPartition((Partition)this.parent);
+		}
+		else if (parent instanceof Index) {
+			_computeForIndex(Arrays.asList((Index)this.parent));
+		}
+		
+		this.data.cut(this.pVMaxFilter);
+
+		return true;
 	}
 
 	/**
@@ -262,7 +277,7 @@
 		//System.out.println("mat size " + mat.rows());
 		//System.out.println("mat columns " + mat.columns());
 
-		data = new LexicalTableImpl(mat, filteredForms.toArray(new String[]{}), partition.getPartShortNames().toArray(new String[] {}));
+		this.data = new LexicalTableImpl(mat, filteredForms.toArray(new String[]{}), partition.getPartShortNames().toArray(new String[] {}));
 
 	}
 
@@ -271,7 +286,29 @@
 		return this.parent != null; // can be computed on partition or corpus
 	}
 
+	
 	@Override
+	public boolean saveParameters() {
+		// TODO Auto-generated method stub
+		System.err.println("LexicalTable.saveParameters(): not yet implemented.");
+		return true;
+	}
+
+	@Override
+	public boolean setParameters(TXMParameters parameters) {
+		// TODO Auto-generated method stub
+		System.err.println("LexicalTable.setParameters(): not yet implemented.");
+		return true;
+	}
+
+	protected static String getNextName() {
+		return SYMBOL_BASE+(LEXICALTABLE_COUNTER++);
+	}
+
+
+	
+	
+	@Override
 	public void clean() {
 		try {
 			RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(data.getSymbol());
@@ -335,14 +372,20 @@
 	}
 
 	/**
-	 * Get the partition this lexical table is bound to.
+	 * Gets the partition this lexical table is bound to.
 	 * 
 	 * @return the partition
 	 */
 	public Partition getPartition() {
-		if (parent instanceof Partition) return ((Partition)parent);
-		if (parent instanceof Index) return ((Index)parent).getPartition();
-		else return null;
+		if (parent instanceof Partition) {
+			return ((Partition)parent);
+		}
+		if (parent instanceof Index) {
+			return ((Index)parent).getPartition();
+		}
+		else {
+			return null;
+		}
 	}
 
 	/**
@@ -369,22 +412,29 @@
 	@Override
 	public String getSimpleName() {
 		StringBuilder strb = new StringBuilder();
-		if (pProperty != null) strb.append(pProperty.getName()+" ");
-		if (data != null) strb.append(data.getFmin() + " / " + this.getNRows());
+		if (pProperty != null) {
+			strb.append(pProperty.getName()+" ");
+		}
+		if (data != null) {
+			strb.append(data.getFmin() + " / " + this.getNRows());
+		}
 		return strb.toString();
 	}
 
-	public int getVmax() {
+	public int getVMax() {
 		return pVMaxFilter;
 	}
 
-	@Override
-	public boolean saveParameters() {
-		// TODO Auto-generated method stub
-		return false;
-	}
 
 	/**
+	 * 
+	 * @param vMax
+	 */
+	public void setVMax(int vMax)	{
+		this.pVMaxFilter = vMax;
+	}
+	
+	/**
 	 * see LexicalTablePreferences.PROPERTY, LexicalTablePreferences.F_MIN, LexicalTablePreferences.V_MAX and LexicalTablePreferences.USEALLOCCURENCES
 	 */
 //	public boolean setParameters(TXMParameters parameters) {
